#pragma once

// TestRichEditCtrl.h : header file
// Author: Ovidiu Cucu
// Homepage: http://www.codexpert.ro/

#include <richole.h>

/////////////////////////////////////////////////////////////////////////////
// CTestRichEditCtrl window

class CTestRichEditCtrl : public CRichEditCtrl
{
   // Construction
public:
   CTestRichEditCtrl();
   
   // Attributes
public:
   
   // Operations
public:
   
   // Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CTestRichEditCtrl)
protected:
   virtual void PreSubclassWindow();
   //}}AFX_VIRTUAL
   
   // Implementation
public:
   virtual ~CTestRichEditCtrl();
   
   // Generated message map functions
protected:
   //{{AFX_MSG(CTestRichEditCtrl)
   // NOTE - the ClassWizard will add and remove member functions here.
   //}}AFX_MSG
   
   DECLARE_MESSAGE_MAP()
      
      // Interface Map
public:
   BEGIN_INTERFACE_PART(RichEditOleCallback, IRichEditOleCallback)
      INIT_INTERFACE_PART(CTestRichEditCtrl, RichEditOleCallback)
      STDMETHOD(GetNewStorage) (LPSTORAGE*);
   STDMETHOD(GetInPlaceContext) (LPOLEINPLACEFRAME*, LPOLEINPLACEUIWINDOW*, LPOLEINPLACEFRAMEINFO);
   STDMETHOD(ShowContainerUI) (BOOL);
   STDMETHOD(QueryInsertObject) (LPCLSID, LPSTORAGE, LONG);
   STDMETHOD(DeleteObject) (LPOLEOBJECT);
   STDMETHOD(QueryAcceptData) (LPDATAOBJECT, CLIPFORMAT*, DWORD,BOOL, HGLOBAL);
   STDMETHOD(ContextSensitiveHelp) (BOOL);
   STDMETHOD(GetClipboardData) (CHARRANGE*, DWORD, LPDATAOBJECT*);
   STDMETHOD(GetDragDropEffect) (BOOL, DWORD, LPDWORD);
   STDMETHOD(GetContextMenu) (WORD, LPOLEOBJECT, CHARRANGE*, HMENU*);
   END_INTERFACE_PART(RichEditOleCallback)
      
      DECLARE_INTERFACE_MAP()
};
